#!/bin/sh
####################################################################
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
# 5698-WSH
# (C) Copyright IBM Corp. 1998, 2006 All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
###################################################################
#@(#) $Id: tdwb_launcher.sh,v 1.0 2006/07/06 21:56:07 pl Exp $
#
# This script is invoked by TDWB agent when launching a job. The
# job's script file is $*
#

# INITIALIZATION
#
###################################################################

PATH=$PATH:/bin:/usr/bin
export PATH

UNISON_DIR=`dirname $0`

if [ -z "$LOGNAME" ]
then
    LOGNAME=`whoami`
fi


# CONFIGURATION ENVIRONMENT VARIABLES.
#
###################################################################

# VARIABLE		: LOCAL_RC_OK
#
# LOCAL_RC_OK is used to allow or disallow the use of local .jobmanrc
# files by individual users. If LOCAL_RC_OK is set to "YES" and there
# is a .jobmanrc file in $HOME it will be executed passing $* as its
# first argument. If LOCAL_RC_OK is set to "NO" the presence of a
# .jobmanrc is ignored and $* is executed directly.
# Setting LOCAL_RC_OK to any other value is equivalent to "NO".
#
# DEFAULT		: "YES"
# CRON Equivalent	: "NO"
# Restrictions		: The logon user must have read and execute
#                         access to .jobmanrc
LOCAL_RC_OK="YES"

# if [ "$LOCAL_RC_OK" = "YES" ]
# then
#   if [ -f $UNISON_DIR/localrc.allow ]
#   then
#     if grep $LOGNAME $UNISON_DIR/localrc.allow >/dev/null;
#     then
#       echo
#     else
#       LOCAL_RC_OK="NO"
#     fi
#   elif [ -f $UNISON_DIR/localrc.deny ]
#   then
#     if grep $LOGNAME $UNISON_DIR/localrc.deny >/dev/null;
#     then
#       LOCAL_RC_OK="NO"
#     fi
#   fi
# fi

if [ "$LOCAL_RC_OK" = "YES" ]
then
   if [ -x $HOME/.jobmanrc ]
   then
      LOCAL_RC_OK="YES"
   else
      LOCAL_RC_OK="NO"
   fi
fi

# EXECUTION
#
###################################################################

# Execute the job's script file, via local .jobmanrc, if it exists.
if [ "$LOCAL_RC_OK" = "YES" ]
then
  exec $HOME/.jobmanrc "$@"
  UNISON_RETURN=$?
else
  eval "$@"
  UNISON_RETURN=$?
fi

exit $UNISON_RETURN
